Mail archive
alpine-aports

[alpine-aports] [PATCH 2/2] community/openjdk8: install profile file

From: Sören Tempel <soeren+git_at_soeren-tempel.net>
Date: Thu, 10 Dec 2015 21:22:07 +0100

Use it to set JAVA_HOME which is used by some java applications like
android studio or apache maven.
---
 community/openjdk8/APKBUILD | 7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)
diff --git a/community/openjdk8/APKBUILD b/community/openjdk8/APKBUILD
index 643af10..976b3cb 100644
--- a/community/openjdk8/APKBUILD
+++ b/community/openjdk8/APKBUILD
_at_@ -5,7 +5,7 @@ _java_ver=8
 _jdk_update=66
 _jdk_build=17
 pkgver=$_java_ver.$_jdk_update.$_jdk_build
-pkgrel=1
+pkgrel=2
 pkgdesc="Sun OpenJDK 8"
 url="http://openjdk.java.net"
 arch="x86_64 x86"
_at_@ -145,6 +145,11 @@ package() {
 		| xargs chmod go+r
 
 	pax_mark_vm "$pkgdir"/$INSTALL_BASE
+
+	# install profile file in /etc/profile.d
+	mkdir -p "$pkgdir"/etc/profile.d
+	echo "export JAVA_HOME=\"\${JAVA_HOME:-$INSTALL_BASE/jre}\"" \
+		> "$pkgdir/etc/profile.d/$pkgname.sh" || return 1
 }
 
 jrelib() {
-- 
2.6.4
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Thu Dec 10 2015 - 21:22:07 GMT